## pg-roaringbitmap 0.5.4

=== Makefile ===
EXTENSION = roaringbitmap
TESTS        = $(wildcard sql/*.sql)
REGRESS      = $(patsubst sql/%.sql,%,$(TESTS))

MODULE_big = roaringbitmap
OBJS = roaringbitmap.o

roaringbitmap.o: override CFLAGS += -std=c99 -Wno-error=maybe-uninitialized -Wno-declaration-after-statement

PG_CONFIG = pg_config

DATA = $(wildcard *--*.sql)
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

=== debian/changelog ===
pg-roaringbitmap (0.5.4-3.pgdg25.04+1) plucky-pgdg; urgency=medium

  * Rebuild for plucky-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 13 Sep 2024 23:30:15 +0200

pg-roaringbitmap (0.5.4-3) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Fri, 13 Sep 2024 23:30:15 +0200

pg-roaringbitmap (0.5.4-2) unstable; urgency=medium

  * Build only on 64-bit little-endian archs for now.

 -- Christoph Berg <myon@debian.org>  Tue, 09 Apr 2024 12:02:54 +0200

pg-roaringbitmap (0.5.4-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Tue, 19 Mar 2024 14:40:06 +0100

=== debian/control ===
Source: pg-roaringbitmap
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 architecture-is-64-bit,
 architecture-is-little-endian,
 debhelper-compat (= 13),
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/ChenHuajun/pg_roaringbitmap
Vcs-Browser: https://salsa.debian.org/postgresql/pg-roaringbitmap
Vcs-Git: https://salsa.debian.org/postgresql/pg-roaringbitmap.git

Package: postgresql-10-roaringbitmap
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: RoaringBitmap extension for PostgreSQL
 Roaring bitmaps are compressed bitmaps which tend to outperform conventional
 compressed bitmaps such as WAH, EWAH or Concise. In some instances, roaring
 bitmaps can be hundreds of times faster and they often offer significantly
 better compression. They can even be faster than uncompressed bitmaps.

Package: postgresql-11-roaringbitmap
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: RoaringBitmap extension for PostgreSQL
 Roaring bitmaps are compressed bitmaps which tend to outperform conventional
 compressed bitmaps such as WAH, EWAH or Concise. In some instances, roaring
 bitmaps can be hundreds of times faster and they often offer significantly
 better compression. They can even be faster than uncompressed bitmaps.

Package: postgresql-12-roaringbitmap
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: RoaringBitmap extension for PostgreSQL
 Roaring bitmaps are compressed bitmaps which tend to outperform conventional
 compressed bitmaps such as WAH, EWAH or Concise. In some instances, roaring
 bitmaps can be hundreds of times faster and they often offer significantly
 better compression. They can even be faster than uncompressed bitmaps.

Package: postgresql-13-roaringbitmap
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: RoaringBitmap extension for PostgreSQL
 Roaring bitmaps are compressed bitmaps which tend to outperform conventional
 compressed bitmaps such as WAH, EWAH or Concise. In some instances, roaring
 bitmaps can be hundreds of times faster and they often offer significantly
 better compression. They can even be faster than uncompressed bitmaps.

Package: postgresql-14-roaringbitmap
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: RoaringBitmap extension for PostgreSQL
 Roaring bitmaps are compressed bitmaps which tend to outperform conventional
 compressed bitmaps such as WAH, EWAH or Concise. In some instances, roaring
 bitmaps can be hundreds of times faster and they often offer significantly
 better compression. They can even be faster than uncompressed bitmaps.

Package: postgresql-15-roaringbitmap
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: RoaringBitmap extension for PostgreSQL
 Roaring bitmaps are compressed bitmaps which tend to outperform conventional
 compressed bitmaps such as WAH, EWAH or Concise. In some instances, roaring
 bitmaps can be hundreds of times faster and they often offer significantly
 better compression. They can even be faster than uncompressed bitmaps.

Package: postgresql-16-roaringbitmap
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: RoaringBitmap extension for PostgreSQL
 Roaring bitmaps are compressed bitmaps which tend to outperform conventional
 compressed bitmaps such as WAH, EWAH or Concise. In some instances, roaring
 bitmaps can be hundreds of times faster and they often offer significantly
 better compression. They can even be faster than uncompressed bitmaps.

Package: postgresql-17-roaringbitmap
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: RoaringBitmap extension for PostgreSQL
 Roaring bitmaps are compressed bitmaps which tend to outperform conventional
 compressed bitmaps such as WAH, EWAH or Concise. In some instances, roaring
 bitmaps can be hundreds of times faster and they often offer significantly
 better compression. They can even be faster than uncompressed bitmaps.

## pg-roaringbitmap 0.5.5

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,8 @@
 MODULE_big = roaringbitmap
 OBJS = roaringbitmap.o
 
-roaringbitmap.o: override CFLAGS += -std=c99 -Wno-error=maybe-uninitialized -Wno-declaration-after-statement
+roaringbitmap.o: override CFLAGS += -std=c11 -Wno-error=maybe-uninitialized \
+	-Wno-declaration-after-statement -Wno-missing-prototypes
 
 PG_CONFIG = pg_config

=== debian/changelog ===
pg-roaringbitmap (0.5.5-2) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117287)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 16:41:30 +0200

pg-roaringbitmap (0.5.5-1) unstable; urgency=medium

  * New upstream version 0.5.5.

 -- Christoph Berg <myon@debian.org>  Sun, 14 Sep 2025 18:17:32 +0200

=== debian/control ===
Source: pg-roaringbitmap
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit,
 architecture-is-little-endian,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.2
Homepage: https://github.com/ChenHuajun/pg_roaringbitmap
Vcs-Browser: https://salsa.debian.org/postgresql/pg-roaringbitmap
Vcs-Git: https://salsa.debian.org/postgresql/pg-roaringbitmap.git

Package: postgresql-18-roaringbitmap
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: RoaringBitmap extension for PostgreSQL
 Roaring bitmaps are compressed bitmaps which tend to outperform conventional
 compressed bitmaps such as WAH, EWAH or Concise. In some instances, roaring
 bitmaps can be hundreds of times faster and they often offer significantly
 better compression. They can even be faster than uncompressed bitmaps.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with pgxs_loop

override_dh_installdocs:
	dh_installdocs --all README.*

## pg-roaringbitmap 1.1.0

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 REGRESS      = $(patsubst sql/%.sql,%,$(TESTS))
 
 MODULE_big = roaringbitmap
-OBJS = roaringbitmap.o
+OBJS = roaring_buffer_reader.o roaringbitmap.o roaring64_buffer_reader.o roaringbitmap64.o
 
-roaringbitmap.o: override CFLAGS += -std=c11 -Wno-error=maybe-uninitialized \
+$(OBJS): override CFLAGS += -std=c11 -Wno-error=maybe-uninitialized \
 	-Wno-declaration-after-statement -Wno-missing-prototypes
 
 PG_CONFIG = pg_config

=== debian/changelog ===
pg-roaringbitmap (1.1.0-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 10 Nov 2025 12:44:34 +0100

pg-roaringbitmap (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0.

 -- Christoph Berg <myon@debian.org>  Mon, 10 Nov 2025 12:44:34 +0100

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,104 @@
 Vcs-Browser: https://salsa.debian.org/postgresql/pg-roaringbitmap
 Vcs-Git: https://salsa.debian.org/postgresql/pg-roaringbitmap.git
 
+Package: postgresql-11-roaringbitmap
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
+Description: RoaringBitmap extension for PostgreSQL
+ Roaring bitmaps are compressed bitmaps which tend to outperform conventional
+ compressed bitmaps such as WAH, EWAH or Concise. In some instances, roaring
+ bitmaps can be hundreds of times faster and they often offer significantly
+ better compression. They can even be faster than uncompressed bitmaps.
+
+Package: postgresql-12-roaringbitmap
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
+Description: RoaringBitmap extension for PostgreSQL
+ Roaring bitmaps are compressed bitmaps which tend to outperform conventional
+ compressed bitmaps such as WAH, EWAH or Concise. In some instances, roaring
+ bitmaps can be hundreds of times faster and they often offer significantly
+ better compression. They can even be faster than uncompressed bitmaps.
+
+Package: postgresql-13-roaringbitmap
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
+Description: RoaringBitmap extension for PostgreSQL
+ Roaring bitmaps are compressed bitmaps which tend to outperform conventional
+ compressed bitmaps such as WAH, EWAH or Concise. In some instances, roaring
+ bitmaps can be hundreds of times faster and they often offer significantly
+ better compression. They can even be faster than uncompressed bitmaps.
+
+Package: postgresql-14-roaringbitmap
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
+Description: RoaringBitmap extension for PostgreSQL
+ Roaring bitmaps are compressed bitmaps which tend to outperform conventional
+ compressed bitmaps such as WAH, EWAH or Concise. In some instances, roaring
+ bitmaps can be hundreds of times faster and they often offer significantly
+ better compression. They can even be faster than uncompressed bitmaps.
+
+Package: postgresql-15-roaringbitmap
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
+Description: RoaringBitmap extension for PostgreSQL
+ Roaring bitmaps are compressed bitmaps which tend to outperform conventional
+ compressed bitmaps such as WAH, EWAH or Concise. In some instances, roaring
+ bitmaps can be hundreds of times faster and they often offer significantly
+ better compression. They can even be faster than uncompressed bitmaps.
+
+Package: postgresql-16-roaringbitmap
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
+Description: RoaringBitmap extension for PostgreSQL
+ Roaring bitmaps are compressed bitmaps which tend to outperform conventional
+ compressed bitmaps such as WAH, EWAH or Concise. In some instances, roaring
+ bitmaps can be hundreds of times faster and they often offer significantly
+ better compression. They can even be faster than uncompressed bitmaps.
+
+Package: postgresql-17-roaringbitmap
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
+Description: RoaringBitmap extension for PostgreSQL
+ Roaring bitmaps are compressed bitmaps which tend to outperform conventional
+ compressed bitmaps such as WAH, EWAH or Concise. In some instances, roaring
+ bitmaps can be hundreds of times faster and they often offer significantly
+ better compression. They can even be faster than uncompressed bitmaps.
+
 Package: postgresql-18-roaringbitmap
 Architecture: any
 Depends:
